The unix-compat package

[Tags:bsd3, library]

This package provides portable implementations of parts of the unix package. This package re-exports the unix package when available. When it isn't available, portable implementations are used.

Properties

Versions 0.1, 0.1.1, 0.1.2.0, 0.1.2.1, 0.2, 0.2.1, 0.2.1.1, 0.2.1.2, 0.2.1.3, 0.2.2, 0.2.2.1, 0.3, 0.3.0.1, 0.3.0.2, 0.4.0.0, 0.4.1.0, 0.4.1.1, 0.4.1.3, 0.4.1.4, 0.4.2.0, 0.4.3.0, 0.4.3.1 (info)
Dependencies base (==4.*), directory (>=1.0 && <1.3), old-time (>=1.0.0.0 && <1.2.0.0), time (>=1.0 && <1.7), unix (>=2.4 && <2.8), Win32 (>=2.3.0.2) [details]
License BSD3
Author Björn Bringert, Duncan Coutts, Jacob Stanley, Bryan O'Sullivan
Maintainer Jacob Stanley <jacob@stanley.io>
Stability Unknown
Category System
Home page http://github.com/jystic/unix-compat
Source repository head: git clone git://github.com/jystic/unix-compat.git
Uploaded Tue Dec 6 14:22:16 UTC 2016 by JacobStanley
Distributions Arch:0.4.2.0, Debian:0.4.1.4, Fedora:0.4.1.4, FreeBSD:0.4.1.4, LTSHaskell:0.4.2.0, NixOS:0.4.2.0, Stackage:0.4.3.1, Tumbleweed:0.4.2.0
Downloads 104701 total (211 in the last 30 days)
Votes
0 []
Status Docs available [build log]
Last success reported on 2016-12-07 [all 1 reports]

Modules

[Index]

Flags

NameDescriptionDefaultType
old-timebuild against old-time packageDisabledAutomatic

Use -f <flag> to enable a flag, or -f -<flag> to disable that flag. More info

Downloads

Maintainer's Corner

For package maintainers and hackage trustees